import java.util.Scanner; // program uses class Scanner
import java.util.Locale;

public class BPIH4E8
{
     // main method begins execution of Java application
     public static void main( String args[] )
     {            
        // number e = 2.718...
        // exp(x) = 1 + x /1! + x2 / 2! + x3 / 3! + x4 / 4! + ..
        String s; 
        // create Scanner to obtain input from command window
        Scanner input = new Scanner( System.in );
        Locale us=new Locale("US");
        input.useLocale(us);            
        System.out.print( "Enter x : " ); // prompt
        double x = input.nextDouble(); // read first number from user        
        double power=1;
        double exponent=1;
        double factorial=1;
        double number=1;
        while(number<=200)
        {
        factorial*=number;
        power*=x;
        exponent+=power/factorial;
        number++;
        }
        s="exp("+x+") = "+exponent;
        System.out.println(s);
     } // end method main
} // end class BPIH4E1
